### `<w-slider-thumb>` API

#### Properties

| Name | Type | Default | Summary |
|-|-|-|-|
| aria-description | `string \| null` | `null` | Contextual information for assistive technology, should it be needed |
| aria-label | `string \| null` | `null` | Label for the range input. |
| name | `string \| undefined` | `-` | The name of this input field in the form. The canonical source of the value is the text field. |
| placeholder | `string \| undefined` | `-` | Placeholder in empty text fields |
| resetFormControl (JS only) | `resetFormControl() => void` | `-` | - |
| updateFieldAfterValidation (JS only) | `updateFieldAfterValidation() => void` | `-` | - |
| value | `string \| undefined` | `-` | The initial value, if any |

#### Property Details

##### aria-description

Contextual information for assistive technology, should it be needed

- Type: `string | null`
- Default: `null`

##### aria-label

Label for the range input.

- Type: `string | null`
- Default: `null`

##### name

The name of this input field in the form. The canonical source of the value is the text field.

- Type: `string | undefined`
- Default: `-`

##### placeholder

Placeholder in empty text fields

- Type: `string | undefined`
- Default: `-`

##### resetFormControl (JS only)



- Type: `resetFormControl() => void`
- Default: `-`

##### updateFieldAfterValidation (JS only)



- Type: `updateFieldAfterValidation() => void`
- Default: `-`

##### value

The initial value, if any

- Type: `string | undefined`
- Default: `-`

#### Events

##### slidervalidity

Internal event used by (and stopped by) `w-slider`.

- Type: `CustomEvent`
##### thumbreset

Internal event used by (and stopped by) `w-slider`.

- Type: `CustomEvent`


